<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$objetocalculo=new calculos();
$sessao = new sessao();
$amostraLong=$sessao->getVar('amostraLong');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
$finalidade=$sessao->getVar('finalidade');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

if($amostraLong>0)
{
	//echo "nao nulo<br>";
	$userAmostra = new amostras();
    $userAmostra->extras_select =  " where fic_id=".$amostraLong;
    $userAmostra->selecionaCampos($userAmostra);
    while ($resAmostra = $userAmostra->retornaDados()):
        $amostraLong=$resAmostra->fic_id;
        $idCultivar=$resAmostra->fic_cultivar;
        $idProdutor=$resAmostra->fic_produtor;
        $idAmostrador=$resAmostra->fic_amostrador;
        $ultima=$resAmostra->fic_amostra;
    endwhile;		
	$sessao->setVar('amostraLong', $amostraLong);
	$sessao->setVar('idCultivar',$idCultivar);
	$sessao->setVar('idProdutor',$idProdutor);
	$sessao->setVar('idAmostrador',$idAmostrador);
	$sessao->setVar('ultima',$ultima);
}
else
{
     $amostraLong=$objetocalculo->achaUltima();
	 $idCultivar=$sessao->getVar($idCultivar);
	 $idProdutor=$sessao->getVar($idProdutor);
	 $idAmostrador=$sessao->getVar($idAmostrador);
}



	

//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
switch ($tela):
    case 'editar':
	
	       $opcaoSele=post('opcaoSele');
		   
				if (post('bt_04x100') !== ""):
				   $repeticoes=4;
	               $opcaoSele='04x100';
				endif;
		   

				if (post('bt_8x25') !== ""):
				   $repeticoes=8;
	               $opcaoSele='08x25';
	  			endif;
				if (post('bt_10x20') !== ""):
				   $repeticoes=10;
	               $opcaoSele='10x20';
				endif;
				if (post('bt_16x25') !== ""):
				   $repeticoes=16;
	               $opcaoSele='16x25';
				endif;
				if (post('bt_20x20') !== ""):
				   $repeticoes=20;
	               $opcaoSele='20x20';
				endif;
				
				
				
	            $repeticoes=substr($opcaoSele,0,2); 
				$sementes=substr($opcaoSele,3); 
			    //$tamanhoTabela=700+$repeticoes*50;//era60  depois era 150
 




	         if($opcaoSele!=""):
			        printMSG('Sua opção foi '. $repeticoes.' repetições de '. $sementes. ' sementes em cada repetição. Pode inserir as leituras. Depois de inserir todas as leituras clique em CALCULAR E SALVAR. ','aviso');
			 else:
					printMSG('Primeiro passo é escolher a opção(Número de repetições e sementes por repetição Faça isso com extremo cuidado. Caso seja imperioso mudar depois, vá no campo OPÇÃO e preencha com cuidado, antes de clicar em SALVAR.) O sistema salva as leituras, permitindo imprimir a ficha de resultados.','alerta');
			endif;



	
	
	
      //setor achar significa poder ir para outra amostra
  	 	if (post('acharDigitada') !== "" || post('acharAvanca') !== ""  || post('acharRecua') !== "" || post('acharUltima') !== ""):
		        $repeticoes=0;
				$opcaoSele="";
			   	$registro=post('amostra');//se clica em achar digitada ja pega daqui
              	if(post('acharAvanca') !== "")$acao='avanca';
              	if(post('acharRecua') !== "")$acao='recua';
              	if(post('acharUltima') !== "")$acao='ultima';
	            $amostraLong=$objetocalculo->AchaIdAmostra2016($registro,$acao);
		endif;//fecha o if que acha ammostras pelo avanca-recua ou ultima


		
		
	  if(post('bt_laudo') !== ""):
	      $sessao = new sessao();
          $objetivoAnalise=post('objetivoAnalise');		
          $metodoUtilizado=post('metodoUtilizado');		
          $obs1=post('obs1');		
          $obs2=post('obs2');		
          $obs3=post('obs3');		
          $sessao->setVar('controle',$objetivoAnalise); 		
          $sessao->setVar('controle1',$metodoUtilizado); 		
          //$sessao->setVar('controle2',$obs1); 		
          //$sessao->setVar('controle3',$obs2); 		
          //$sessao->setVar('controle4',$obs3); 		
		
          //echo '<iframe src="imprimelaudoFitopatologia1.php" style="border:0"  width="100%" height="350"></iframe>';	 //funciona 
		  echo '<iframe src="imprimelaudoFitopatologia1.php"         style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  		  
		  
		  
		  ////////////////////////
				  // $amostraCorrente=post('amostra');
                   //     $sessao->setVar('inicio',$amostraCorrente);	//para voltar a impirmir uma so
                   //     $sessao->setVar('final',$amostraCorrente);	//para voltar a impirmir uma so 					
					//    echo '<iframe src="imprimefichaFITO.php" style="border:5px dotted red" width="100%" height="200"></iframe>';	 //funciona  		  
		  
		  
		  //////////////////
		  
		  
		  
		  
		  
		   
	   endif;
		
	   if(post('bt_ficha') !== ""):
          $objetivoAnalise=post('objetivoAnalise');		
          $metodoUtilizado=post('metodoUtilizado');		
          $obs1=post('obs1');		
          $obs2=post('obs2');		
          $obs3=post('obs3');		
          $sessao->setVar('controle',$objetivoAnalise); 		
          $sessao->setVar('controle1',$metodoUtilizado); 		
          $sessao->setVar('controle2',$obs1); 		
          $sessao->setVar('controle3',$obs2); 		
          $sessao->setVar('controle4',$obs3); 		
		
          echo '<iframe src="imprimefichaFitopatologia1.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   endif;
	
	   if(post('bt_espelho') !== ""):
          $objetivoAnalise=post('objetivoAnalise');		
          $metodoUtilizado=post('metodoUtilizado');		
          $obs1=post('obs1');		
          $obs2=post('obs2');		
          $obs3=post('obs3');		
          $sessao->setVar('controle',$objetivoAnalise); 		
          $sessao->setVar('controle1',$metodoUtilizado); 		
          $sessao->setVar('controle2',$obs1); 		
          $sessao->setVar('controle3',$obs2); 		
          $sessao->setVar('controle4',$obs3); 		
		
          echo '<iframe src="imprimeespelhoFitopatologia1.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   endif;
		
		
		
		
		
		//echo("ooooooo outra $amostraLonga= $amostraLong  <br>");
	    //////vai capturar os dados da amostra////////////////
	    $concluirCalculo="SIM";
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies, ficha,cultivar";
		$generica->campos_valores = array(
				"fic_lote" => NULL,
				"fic_amostra" => NULL,
				"esp_nome" => NULL,
				"esp_id" => NULL,
			);
		$generica->extras_select =" where  fic_cultivar=ctv_id &&  esp_id=ctv_especie &&  fic_id=" . $amostraLong;
	    $generica->selecionaCampos($generica);
		while ($resgenerica = $generica->retornaDados()):
			$lote=$resgenerica->fic_lote;
			$amostra=$resgenerica->fic_amostra;
			$especie=$resgenerica->esp_nome;
			$codEspecie=$resgenerica->esp_id;
	    endwhile;

        //vai pegar lista de patogenos desta especie
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="listapatogenoespecie,listapatogenos";
		$generica->campos_valores = array(
				"lip_id" => NULL,
				"lip_nome_cientifico" => NULL,
			);
		$generica->extras_select =" where lpe_patogeno_id=lip_id and lpe_especie_id=".$codEspecie." order by lip_nome_cientifico";
	    $generica->selecionaCampos($generica);
		$contaPatogenos=0;
		while ($resgenerica = $generica->retornaDados()):
		    $contaPatogenos++;
            $vetorPatogenos[$contaPatogenos]=$resgenerica->lip_nome_cientifico.'#'.$resgenerica->lip_id.':';
            $matriz[$contaPatogenos][0]=$resgenerica->lip_nome_cientifico.'#'.$resgenerica->lip_id.':';			
	    endwhile;
				
		//AQUI SEMPRE VAI FICAR MOSTRANDO A TABELA MESMO QUE CLICA EM OUTROS BOTOES COMO SALVAR OBSERVACOES
		//aqui isso serve para evitar o erro caso ainda nao tenha sido selecionada a opção
		//aqui limpa a matriz
		//for($ii=0;$ii<=50;$ii++):
		//  for($rr=0;$rr<=50;$rr++):
		//    $matriz[$ii][$rr]="";
        //  endfor; 			
       // endfor; 			
		   
        if($sementes>0): 
		   $i=1;   
		   for($i=1;$i<=$contaPatogenos;$i++):
	           $somaSementes=0;
		       $textoConcatenado=""; 
			   for($r=1;$r<=$repeticoes;$r++):
			      $nomeCampo='nc'.$i.$r; 
				  $nomeCampo='NL'.$i.'NR'.$r;   //exemplo nomecampo=nc14 (primeiro patogeno quarta coluna))
				  $nomeCampo=trim($nomeCampo);
				  //exemplo nomecampo=nc14 (primeiro patogeno quarta coluna))
	              $lido=$_POST[$nomeCampo];
                  $textoConcatenado=$textoConcatenado.$lido."@";
				  $matriz[$i][$r]=$lido;
	              $somaSementes+=$lido;			  
	              //if($i<3 ) echo("******lido= $lido nomeCampo= $nomeCampo");
	     	   endfor;
			   //echo("linha=$linha texto concatenado=$textoConcatenado <br>"); 
			   if($repeticoes>0)$media=$somaSementes/$repeticoes;
			   if($sementes>0) $fracao=$media/$sementes*100;
			   //$fracao=2.53;
			   $final=number_format($fracao,2,'.','');
	           $colunaResultado=$repeticoes+1;
			   $matriz[$i][$colunaResultado]=$final;//coloca na coluna r+1 a soma das sementes infestadas
			   $matriz[$i][$repeticoes+2]=post('opcaoSele');
			   $matriz[$i][$repeticoes+3]=$textoConcatenado;//coloca na coluna r+3 o concatanado
           endfor;//fecha o for que percorre os patogenos  
		endif;//testa se sementes>0
		//endif;//era o fechamemto anteriro		
				
    	if(post('bt_salvar_leituras') !== ""):
		     $dataInicio=post('dataInicio');
		     $dataFinal=post('dataFinal');
	         $obs1=post('obs1');		
             $obs2=post('obs2');		
             $obs3=post('obs3');		
		     $dataSalvamento=date("d/m/Y");
		     $dataSalvamento=date("d/m/Y");
			 
			 
		     //aqui vai deletar todos registros de patogenos daquela amostra
	   		 $sql="delete from listapatogenosamostra where lpa_id_amostra=".$amostraLong;
		     $userNota = new generica();
		     $userNota->campos_valores = $sql;				 
			 $userNota->inserirEspecial($userNota);	
	         //printMSG('Registro deletado!','erro');
	         //echo "salvando leituras";
			 $opcaoSele=post('opcaoSele');
			 $repeticoes=substr($opcaoSele,0,2);//exemplo 16x25 -->repeticoes=16
			 $sementes=substr($opcaoSele,3,2);

		   for($i=1;$i<=$contaPatogenos;$i++):
             //captura o patogeno
			 
			 
			 
			 
		     $patogenoLido=$matriz[$i][0];
		     $valor=$matriz[$i][$repeticoes+1];
			 //$opcaoSele=$matriz[$i][$repeticoes+2];
			 $textoConcatenado=$matriz[$i][$repeticoes+3];
             //echo("inserindo patogenoxxx=$patogenoLido textoConcatenado=$textoConcatenado <br> ");
			 list($patogeno,$idPatogeno)=explode("#",$patogenoLido);
			 $nomeOperador=substr($nomeOperador,0,15);
			 $sql="insert into listapatogenosamostra(lpa_id_patogeno,lpa_id_amostra,lpa_valor,lpa_operador,lpa_modo,lpa_leituras,lpa_inicio,lpa_final,lpa_observacao1,lpa_observacao2,lpa_observacao3,lpa_analista,lpa_dataSalvamento)";
		     $sql.="values('$idPatogeno','$amostraLong','$valor','$nomeOperador','$opcaoSele','$textoConcatenado','$dataInicio','$dataFinal','$obs1','$obs2','$obs3','$nomeOperador','$dataSalvamento')";
			 //echo("contapatogenos=$contaPatogenos sql= $sql <br>");
		     $userNota = new generica();
		     $userNota->campos_valores = $sql;				 
			 $userNota->inserirEspecial($userNota);	
           endfor;//percorre os patogenos  
		   printMSG('Registros salvos com sucesso.(Se apertar enter, depois de inserir o valor o computador ja salva seus dados) Número de sementes por gerbox='.$sementes,'erro');		 
        endif;
				
							 

 

 
  

	 
	 		
			//captura os dados da amostra
			$userAmostra = new amostras();
			$userAmostra->extras_select =  " where fic_id=".$amostraLong;  //fucnciona perfeito
			$userAmostra->selecionaCampos($userAmostra);
			while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->fic_id;
			    $idCultivar=$resAmostra->fic_cultivar;
			    $idProdutor=$resAmostra->fic_produtor;
			    $ultima=$resAmostra->fic_amostra;
				if($finalidade=='DEFINITIVA'):
			       $amostra=$resAmostra->fic_amostra;
				else:
			       $amostra=$resAmostra->fic_amostra_previa;
				endif; 
				$lote=$resAmostra->fic_lote;
			endwhile;		
			echo '<h2>Registrar patógenos na amostra:'. $amostra.  ' Espécie:'. $especie. '</h2>';
			
			
			//recuperar os dados da matriz 
 	        //ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica->tabela="listapatogenosamostra,listapatogenos";
			$generica->campos_valores = array(
					"lip_nome_cientifico" => NULL,
					"lpa_valor" => NULL,
					"lpa_id" => NULL,
					"lpa_leituras" => NULL,
					"lpa_modo" => NULL,
					"lpa_inicio" => NULL,
					"lpa_final" => NULL,
					"lpa_observacao1" => NULL,
					"lpa_observacao2" => NULL,
					"lpa_observacao3" => NULL,
				);
			$generica->extras_select ="  where lpa_id_patogeno=lip_id and lpa_modo='".$opcaoSele."' and lpa_id_amostra=".$amostraLong." order by lpa_id";
		    $generica->selecionaCampos($generica);
            $contador=0; 
			$xxyy=$generica->extras_select;
			//echo("sql=$xxyy  <br>"); 
			while ($resgenerica = $generica->retornaDados()):
				//echo("sql=$resgenerica->lpa_leituras<br>");
 			    //printf('<td>%s',$resgenerica->lip_nome_cientifico);
	            //printf('<a href="?m=patologia&t=editar&idLPA=%s" title="Excluir"><img src="images/delete.png" alt="Excluir" /></a>
				//</td>',$resgenerica->lpa_id);
				$dataInicio=$resgenerica->lpa_inicio;
				$dataFinal=$resgenerica->lpa_final;
				$obs1=$resgenerica->lpa_observacao1;
				$obs2=$resgenerica->lpa_observacao2;
				$obs3=$resgenerica->lpa_observacao3;

                list($L1,$L2,$L3,$L4,$L5,$L6,$L7,$L8,$L9,$L10,$L11,$L12,$L13,$L14,$L15,$L16,$L17,$L18,$L19,$L20)=explode("@",$resgenerica->lpa_leituras);
	
				//printf('<td>%s</td>',$resgenerica->lpa_modo);
				//printf('<td>%s</td>',$resgenerica->lpa_valor);
				$opcaoSele=$resgenerica->lpa_modo;
                $repeticoes=substr($opcaoSele,0,2);				
                $sementes=substr($opcaoSele,3,2);				
				$contador++;
				$matriz[$contador][1]=$L1;
				$matriz[$contador][2]=$L2;
				$matriz[$contador][3]=$L3;
				$matriz[$contador][4]=$L4;
				$matriz[$contador][5]=$L5;
				$matriz[$contador][6]=$L6;
				$matriz[$contador][7]=$L7;
				$matriz[$contador][8]=$L8;
				$matriz[$contador][9]=$L9;
				$matriz[$contador][10]=$L10;
				$matriz[$contador][11]=$L11;
				$matriz[$contador][12]=$L12;
				$matriz[$contador][13]=$L13;
				$matriz[$contador][14]=$L14;
				$matriz[$contador][15]=$L15;
				$matriz[$contador][16]=$L16;
				$matriz[$contador][17]=$L17;
				$matriz[$contador][18]=$L18;
				$matriz[$contador][19]=$L19;
				$matriz[$contador][20]=$L20;

				//$opcao=$resgenerica->lpa_modo;
				$contaPatogenos=$contador;
                //$repeticoes=substr($opcao,0,2);
                //$sementes=substr($opcao,3,2);
				//echo '</tr>';
            endwhile;
			$tamanhoTabela=200+$repeticoes*50;//era60  era 150
	
	
 
			
			
			?>
           </tbody>
        </table>
		</fieldset>
		<br>
	  <?php
//final da tabela de patogenos na amostras############################	 
	?>
	                 
    <form class="userform" method="POST" action="">
	<input type="hidden" name="reanLong" value=<?php echo $reanLong ?> size=5 />
	<!--AQUI SO VAI MOSTRAR ESTES BOTOES NO INICIO POIS SE PEGA DEPOIS PERDE TUDO-->

	<?php 
	if($opcaoSele==""):?>
	    OPÇÕES:
		<input type="submit" name="bt_04x100" value="4 rep de 100" />
		<input type="submit" name="bt_8x25" value="8 rep de 25" />
		<input type="submit" name="bt_10x20" value="10 rep de 20" />
		<input type="submit" name="bt_20x20" value="20 rep de 20" />
		<input type="submit" name="bt_16x25" value="16 rep de 25" />
    <?php 
	endif;?>	


    <fieldset>
	<legend>Inserir leituras</legend>
	

	<table bgcolor="white" width="<?php echo $tamanhoTabela;?>">
						<tr>
						<td bgcolor='#ff9f9f'>Patógenos/Repetições</td><td>
                        <?php
						   $repeticoesNum=1*$repeticoes;
						   for($r=1;$r<=$repeticoesNum;$r++):
                             ?>
							 <input  type="text"  style="font-size: 80%" name="valor" value="<?php echo $r;?>" size ="1" />
							 <?php						      
						   endfor;
                             ?>
							
							 <input type="text"  name="valor" value="%" size="1" />
							 <?php				
                           echo"</td>";    
                           echo"</tr>";    
						   //aqui final do cabecalho



                        //aqui o corpo da matriz

					    for($i=1;$i<=$contaPatogenos;$i++):
                           echo"<tr>";
						   echo"<td>".$vetorPatogenos[$i]."</td><td>";
						   
                           $soma=0;	
						   for($r=1;$r<=$repeticoes;$r++):
						     $nomeCampo='nc'.$i.$r;   //exemplo nomecampo=nc14 (primeiro patogeno quarta coluna))
			                 $nomeCampo='NL'.$i.'NR'.$r;   //exemplo nomecampo=nc14 (primeiro patogeno quarta coluna))
				             $nomeCampo=trim($nomeCampo);
							 $valor=$matriz[$i][$r];
                             $soma+=$valor;	
                             ?>
							 
							 <input type="text" style="font-size: 80%" name="<?php echo $nomeCampo;?>" value="<?php echo $valor;?>" size="1" />
							 <?php						      
						   endfor;
						   
						   if($sementes>0  && $repeticoes>0 )$final=$soma/$repeticoes/$sementes*100;
						   
						   
                           ?>
							 <input type="text" name="xxxxxxx" value="<?php echo $final;?>" size="1" />
                           <?php

						   echo"</td>";  
                           echo"<tr>";    
                        endfor;
	?>					
<!--SALVAR AS LEITURAS-->
<tr>
</table>
<table>
<tr>
<td bgcolor="grey">
    Data Início:<input type="text" name="dataInicio" maxlength="10" value="<?php echo $dataInicio;?>" size="8" />
    Final:<input type="text" name="dataFinal" maxlength="10" value="<?php echo $dataFinal;?>" size="8" />
    <input type="submit" name="bt_salvar_leituras" value="CALCULAR E SALVAR(Leituras,observações,data analise.)" />
</td>
</tr>
	</table>
	</fieldset>
	
	
	
	
	
	
	</td>
	
	








	                 <table border="1" cellspacing="1" align="center" width="1000">
&nbsp;

						
						
						
										
   

                        
						 
						 </tr>
                         <table width="1000" bgcolor="#88e6af">
                         <tr>
                         <td>
                         Objetivo da análise: 
                         <select name="objetivoAnalise" value="">  
                         <option>Ensaio de pesquisa</option> 
                         <option>Trabalho interno</option> 
                         <option>Teste de validação</option> 
                         <option>Detecção de incidência de patógenos em semente</option> 
					    </select>
                         Método utilizado: 
                         <select name="metodoUtilizado" value="">  
                         <option>Plaqueamento de 400 sementes</option> 
                         <option>xxxxxxxxxxxxxxxxxxxxxxxxxxx</option> 
                         <option>yyyyyyyyyyyyyyyyyyyyyyyyyyy</option> 
                         <option>zzzzzzzzzzzzzzzzzzzzzzzzzzz</option> 
					    </select>
						Opção  <input type="text" name="opcaoSele" value="<?php echo $opcaoSele;?>" size="2" />
						<input type="submit" name="bt_laudo" value="Imprime laudo" />
						 </td>
						 </tr>
						 </table>

                         <table bgcolor="#b0eecb">
                         <tr>
                         <td>
                         Observação: <input type="text" name="obs1" maxlength="150" value="<?php echo $obs1;?>" size="100" />
                         </td> 
                         </tr>
                         <tr>
                         <td>
                         Observação: <input type="text" name="obs2" maxlength="150" value="<?php echo $obs2;?>" size="100" />
                         </td> 
                         </tr>
                         <tr>
                         <td>
                         Observação: <input type="text" name="obs3" maxlength="150" value="<?php echo $obs3;?>" size="100" />
                         </td> 
                         </tr>



                         </table>

	
	
	<!--repeticao de 9 a 16-->
	

                    </table>
					
				<!--//////////navegador/////////-->
	
        <table  bgcolor="#2bc86d">
		<tr>
					<tr>
				    <td>
					Localizador de amostra:
					<td> <b> <input type="text" size="3"  maxlength="5" name="amostra" value="<?php echo $amostra; ?>" /></b></td>
				    <td><input type="submit" name="acharDigitada" value="<--Achar" />
					<input type="submit" name="acharRecua" value="<" />
					<input type="submit" name="acharAvanca" value=">" />
					<input type="submit" name="acharUltima" value=">|" />
					</td>
					<td> <input type="submit" name="bt_ficha" value="Imprime ficha" />
					<td> <input type="submit" name="bt_espelho" value="Ficha preenchida" />
					
					</td>
					
        </tr> 
		</table>           
			
		</form>			
					
					
					
					
					
					
       <?php 		 
    break;






	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>